Bug 201091 - AssertionError at org.netbeans.modules.cnd.discovery.projectimport.ReconfigureProject.<init>
AssertionError at org.netbeans.modules.cnd.discovery.projectimport.Reconfigur...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 701patch2-verified...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-18 11:19 UTC by Exceptions Reporter
Modified: 2011-09-27 13:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.51 KB, text/plain)
2011-08-18 11:19 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2011-08-18 11:19:46 UTC
This issue was reported manually by vv159170.
It already has 1 duplicates 


Build: NetBeans IDE Dev (Build 201108050600)
VM: Java HotSpot(TM) 64-Bit Server VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Windows 7

User Comments:
GUEST: Right click on my_new_project -> Code Assistance -> Reconfigure Project(wonder what this option does)
now, after error, this option is greyed out




Stacktrace: 
java.lang.AssertionError
   at org.netbeans.modules.cnd.discovery.projectimport.ReconfigureProject.<init>(ReconfigureProject.java:135)
   at org.netbeans.modules.cnd.discovery.projectimport.ReconfigureAction.performAction(ReconfigureAction.java:162)
   at org.openide.util.actions.NodeAction.performAction(NodeAction.java:295)
   at org.openide.util.actions.CallableSystemAction$1.run(CallableSystemAction.java:129)
   at org.openide.util.actions.ActionInvoker$1.run(ActionInvoker.java:95)
   at org.openide.util.actions.ActionInvoker.doPerformAction(ActionInvoker.java:116)
Comment 1 Exceptions Reporter 2011-08-18 11:19:50 UTC
Created attachment 110079 [details]
stacktrace
Comment 2 Alexander Simon 2011-08-24 15:10:01 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/c7f45472fbf9
Comment 3 Quality Engineering 2011-08-25 13:59:30 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/c7f45472fbf9
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201091 AssertionError at org.netbeans.modules.cnd.discovery.projectimport.ReconfigureProject.<init>
Comment 4 Vladimir Voskresensky 2011-09-14 09:17:39 UTC
transplanted additional fix in releases_elif branch release701_fixes
c7f45472fbf9 transplanted to 378c3e229921
Comment 5 Alexander Pepin 2011-09-21 11:16:26 UTC
can not reproduce in OSS build 30
Comment 6 Quality Engineering 2011-09-26 13:33:35 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/378c3e229921
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #201091 AssertionError at org.netbeans.modules.cnd.discovery.projectimport.ReconfigureProject.<init>
Comment 7 Alexander Pepin 2011-09-27 13:23:48 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo